Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187353 - NullPointerException at org.netbeans.modules.cnd.makeproject.api.DefaultProjectActionHandler._execute
NullPointerException at org.netbeans.modules.cnd.makeproject.api.DefaultProje...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@cnd
issues@cnd
EXCEPTIONS_REPORT, 69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 21:54 UTC by qduaty
Modified: 2010-07-09 09:23 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.07 KB, text/plain)
2010-06-08 21:54 UTC, qduaty
Details
stacktrace (1.07 KB, text/plain)
2010-06-16 12:49 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description qduaty 2010-06-08 21:54:08 UTC
Build: NetBeans IDE 6.9 RC2 (Build 201005312001)
VM: OpenJDK Client VM, 14.0-b16, OpenJDK Runtime Environment, 1.6.0_18-b18
OS: Linux

User Comments:
GUEST: Attempting to compile and build

qduaty: Regression. 6.9 series fail in this way when building old projects that are configured to use a tool collection, which is not yet known to the newly installed IDE. For example, my projects use "GNU_4.5.0" while the only compiler set known to the IDE is "GNU". The old 6.8's (proper) behavior in such case was that it opened the C++ configuration window and asked to either pick one of existing tool collections or configure a new one.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.makeproject.api.DefaultProjectActionHandler._execute(DefaultProjectActionHandler.java:225)
   at org.netbeans.modules.cnd.makeproject.api.DefaultProjectActionHandler.execute(DefaultProjectActionHandler.java:139)
   at org.netbeans.modules.cnd.remote.sync.RemoteBuildProjectActionHandler.execute(RemoteBuildProjectActionHandler.java:124)
   at org.netbeans.modules.cnd.makeproject.api.ProjectActionSupport$HandleEvents.go(ProjectActionSupport.java:464)
   at org.netbeans.modules.cnd.makeproject.api.ProjectActionSupport$HandleEvents.access$000(ProjectActionSupport.java:193)
   at org.netbeans.modules.cnd.makeproject.api.ProjectActionSupport.fireActionPerformed(ProjectActionSupport.java:179)
Comment 1 qduaty 2010-06-08 21:54:11 UTC
Created attachment 99913 [details]
stacktrace
Comment 2 Exceptions Reporter 2010-06-15 06:18:58 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=170167
Comment 3 Exceptions Reporter 2010-06-16 12:49:16 UTC
Created attachment 100131 [details]
stacktrace

Just upgraded to NB69, allowed to import the settings from NB68 and tried to build my C/C++ projects as I did recently just before the upgrade to NB69 without any problem. Now, the compile does not start (pressing Shift+F11) but the uncaught exception appears...
Comment 4 Vladimir Kvashin 2010-06-18 12:12:53 UTC
In the development version the same situation leads to assertion error:
java.lang.AssertionError
org.netbeans.modules.cnd.makeproject.MakeActionProvider.getMakeCommand(MakeActionProvider.java:1112)
org.netbeans.modules.cnd.makeproject.MakeActionProvider.onBuildStep(MakeActionProvider.java:734)
org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:449)
org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:431)
org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:146)
org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:302)
org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1494)
org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1418)
org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1957)

This happens when trying to build a project with inexistent tool chain.
This does not depend on importing 6.8 settings.
Comment 5 Quality Engineering 2010-06-19 03:39:27 UTC
Integrated into 'main-golden', will be available in build *201006190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d7deb27a4fe2
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Changed assertion to soft assertion (related to #187353 -  NullPointerException at org.netbeans.modules.cnd.makeproject.api.DefaultProjectActionHandler._execute )
Comment 7 Quality Engineering 2010-06-21 03:21:26 UTC
Integrated into 'main-golden', will be available in build *201006210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a2b0fe3af78e
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Minor refactoring related to #187353 -  NullPointerException at org.netbeans.modules.cnd.makeproject.api.DefaultProjectActionHandler._execute
Comment 8 soldatov 2010-06-21 10:47:24 UTC
Verified in trunk.
Comment 9 rbalada 2010-06-21 15:17:02 UTC
main #d7deb27a4fe2 transplanted to release691 #507b98a16334
main #a2b0fe3af78e transplanted to release691 #87cb8f4e9ae4
main #6b88e181f3cf transplanted to release691 #a74c351cf027
main #53a75b6e59a4 transplanted to release691 #fc3c038a03c6
main #c919366b78b2 transplanted to release691 #5d3f48bdefed
Comment 10 soldatov 2010-07-09 09:23:20 UTC
verified in NetBeans 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo